%define modname xdiff
%define soname %{modname}.so
%define inifile A64_%{modname}.ini

Name:		php-%{modname}
Version:	1.5.2
Release:	%mkrel 3
Summary:	File differences/patches
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/xdiff
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires:	php-bz2
Requires:	php-hash
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libxdiff-devel

%description
This extension creates and applies patches to both text and binary files.


%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS README.API package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1.5.2-3.mga3
+ Revision: 393374
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.5.2-2.mga3
+ Revision: 377637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 1.5.2-1.mga3
+ Revision: 274759
- upgrade to 1.5.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.5.1-10.mga2
+ Revision: 223954
- httpd restart is handled by filetriggers now

* Wed Jan 11 2012 kamil <kamil> 1.5.1-9.mga2
+ Revision: 194870
- rebuild against new libxdiff 0.23
- clean spec

* Mon Feb 07 2011 spuhler <spuhler> 1.5.1-8.mga1
+ Revision: 48339
- removed buildroot definition from .spec
- imported package php-xdiff

